<?php
#######################################
## (inv) Awards #######################
#######################################
## Author:  Alec Carpenter
## Website: http://www.invisionenvy.com
#######################################
## EXTENSIONS
## PROFILE TABS
## FILE TO RUN
#######################################
## VERSION: 2.1.0
#######################################

if (!defined('IN_IPB'))
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded all the relevant files.";
	exit();
}

class profile_awards extends profile_plugin_parent
{
	public function return_html_block($member=array()) 
	{
		# language!
		$this->registry->class_localization->loadLanguageFile(array("public_awards"), "awards");
		
		# variables!
		$content = "";
		
		# Get the awards!
		$this->DB->build(array(
							   'select'   => 'aa.*',
							   'from'     => array('inv_awards_awarded' => 'aa'),
							   'add_join' => array(
							   					   0 => array(
												   			  'select' => 'a.*',
												 			  'from'   => array('inv_awards' => 'a'),
												  			  'where'  => 'a.id = aa.award_id',
														),
							   ),
							   'where'    => 'user_id = ' . $member['member_id'] . ' && `is_active` = "1"',
		));
		
		$this->DB->execute();
		
		if($this->DB->getTotalRows())
		{
			$ct = 0;
			while($a = $this->DB->fetch())
			{
				if($ct&1)
				{
					$num = 1;
				}
				else
				{
					$num = 2;
				}
				
				$a['date'] = gmdate('F j, Y g:i a', $a['date'] + $this->registry->class_localization->getTimeOffset());
				
				$content .= $this->registry->getClass('output')->getTemplate('awards')->profile_award_row($a, $this->settings['upload_url']);
				
				$ct++;
			}
		}
		
		return $content ? $content : $this->registry->getClass('output')->getTemplate('profile')->tabNoContent('error_no_awards');
	}
}
?>