<?php

if(!defined('IN_ACP'))
{
	print "<h1>Incorrect access</h1>You cannot access this file directly. If you have recently upgraded, make sure you upgraded 'admin.php'.";
	exit();
}

class admin_awards_system_root extends ipsCommand
{
	public function doExecute(ipsRegistry $registry) 
	{
		require(IPS_ROOT_PATH . "applications_addon/other/awards/applicationData.php");
		
		$this->registry->getClass('output')->html_main = "
		<script type='text/javascript' src='applications_addon/other/awards/js/admin.js'></script>
		<div class='section_title'>
		  <h2>System Overview</h2>
		</div>
		<div style='float:right; width:48%;'>
		  <div class='acp-box'>
 		    <h3>Support and Updates</h3>
			<div class='tablerow1' style='padding:4px;'>
			  <strong>Thanks for choosing (inv) Awards!</strong><br />
			  <br />Support will be given at <a href='http://www.invisionenvy.com/' target='_blank'>Invision Envy</a>. To get updates you can also visit that website.
			</div>
		  </div>
		</div>
		<div style='float:left; width:48%;'>
		  <div class='acp-box'>
 		    <h3>System Information</h3>
			<table width='100%' border='0' cellspacing='0' cellpadding='0'>
			  <tr>
			    <td class='tablerow1' width='50%'><strong>Current Version</strong></td>
				<td class='tablerow1' align='center'>" . AWARDS_VERSION . "</td>
			  </tr>
			  <tr>
			    <td colspan='2' class='tablerow2' align='center'>(inv) Awards " . AWARDS_VERSION . " produced by Alec Carpenter (topthrillkid) of <a href='http://www.invisionenvy.com/' target='_blank'>Invision Envy</a></td>
			  </tr>
			</table>
		  </div>
		</div>
		<div style='clear:both;'></div>";
		
		$this->registry->getClass('output')->sendOutput();
	}
}
?>